// Wire Master Reader
// by Nicholas Zambetti <http://www.zambetti.com>

// Demonstrates use of the Wire library
// Reads data from an I2C/TWI slave device
// Refer to the "Wire Slave Sender" example for use with this

// Created 29 March 2006

// This example code is in the public domain.


#include <Wire.h>

void setup() {
  Wire.begin();        // join i2c bus (address optional for master)
  Serial.begin(115200);  // start serial for output
  while (!Serial);
}

void loop() {
  Wire.requestFrom(0x65, 2);
  // Wait for data to become available -- can be a delayed response due to # of pins to enumerate
  while(!Wire.available());
  byte dip_1 = Wire.read();
  byte dip_2 = Wire.read();
  Serial.print("DIP 1: ");
  Serial.println(dip_1, BIN);
  Serial.print("DIP 2: ");
  Serial.println(dip_2, BIN);
  delay(500);
}
